package com.ruoyi.mxjb.mapper;

import java.util.List;
import java.util.Map;

import com.ruoyi.mxjb.domain.MxjbSelectedRound;

/**
 * 选科轮次Mapper接口
 * 
 * @author mingxue
 * @date 2021-12-25
 */
public interface MxjbSelectedRoundMapper 
{
    /**
     * 查询选科轮次
     * 
     * @param roundId 选科轮次ID
     * @return 选科轮次
     */
    public MxjbSelectedRound selectMxjbSelectedRoundById(Integer roundId);

    public MxjbSelectedRound selectSelectedRoundLatest(Map map);

    /**
     * 查询选科轮次列表
     * 
     * @param mxjbSelectedRound 选科轮次
     * @return 选科轮次集合
     */
    public List<MxjbSelectedRound> selectMxjbSelectedRoundList(MxjbSelectedRound mxjbSelectedRound);

    /**
     * 新增选科轮次
     * 
     * @param mxjbSelectedRound 选科轮次
     * @return 结果
     */
    public int insertMxjbSelectedRound(MxjbSelectedRound mxjbSelectedRound);

    /**
     * 修改选科轮次
     * 
     * @param mxjbSelectedRound 选科轮次
     * @return 结果
     */
    public int updateMxjbSelectedRound(MxjbSelectedRound mxjbSelectedRound);

    /**
     * 删除选科轮次
     * 
     * @param roundId 选科轮次ID
     * @return 结果
     */
    public int deleteMxjbSelectedRoundById(Integer roundId);

    /**
     * 批量删除选科轮次
     * 
     * @param roundIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteMxjbSelectedRoundByIds(Integer[] roundIds);
}
